6.0.0-git
2019-05-19

[#14329] Deleting and re-adding attachements not reliable in non-Firefox browsers
Summary Deleting and re-adding attachements not reliable in non-Firefox browsers
Queue IMP
Queue Version 6.2.13
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester aaronp (at) critd (dot) com
Created 2016-04-14 (1130 days ago)
Due
Updated 2017-10-20 (576 days ago)
Assigned 2016-04-18 (1126 days ago)
Resolved 2016-04-19 (1125 days ago)
Milestone
Patch No

History
2017-10-20 20:33:39 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 5cc0ebf3fcb575d441d20bbbf06cbd0823efdd4f
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon, 18 Apr 2016 23:21:37 -0400

Bug: 14329 Ensure the file input node is clear.

If removing a attachment, if we don't manually clear the
input node on some browsers, it will be impossible to attach
the same file again since the browser thinks it is already
attached.

  M js/compose-dimp.js

https://github.com/horde/imp/commit/5cc0ebf3fcb575d441d20bbbf06cbd0823efdd4f
2016-04-19 03:24:56 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 2f2a6c1efe2fcf1227bf67e7ace4bc8a08f6094e
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Apr 18 23:14:25 2016 -0400

     Bug: 14329 Ensure the file input node is clear.

     If removing a attachment, if we don't manually clear the
     input node on some browsers, it will be impossible to attach
     the same file again since the browser thinks it is already
     attached.

  imp/js/compose-dimp.js |    2 ++
  1 files changed, 2 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/2f2a6c1efe2fcf1227bf67e7ace4bc8a08f6094e
2016-04-19 03:22:54 Michael Rubinsky Comment #4
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
IMP 6.2.15
2016-04-18 21:10:17 Michael Rubinsky Comment #3 Reply to this comment
..and in FW_52 only, not in master.
2016-04-18 21:04:48 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Verified on Windows only.
2016-04-14 18:02:05 aaronp (at) critd (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Deleting and re-adding attachements not reliable in non-Firefox browsers
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
New message. I attach a file, it works. I delete that attachment, it 
deletes without a problem. I re-add the same file as an attachment. 
This works in Firefox, but not in Chrome or Edge.

Saved Queries